package com.cool.store.mapper;

import com.cool.store.vo.interview.InterviewInspectionHistoryInfo;
import com.cool.store.entity.HyInterviewInspectionLogDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HyInterviewInspectionLogMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HyInterviewInspectionLogDO record);

    int insertSelective(HyInterviewInspectionLogDO record);

    HyInterviewInspectionLogDO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HyInterviewInspectionLogDO record);


    List<InterviewInspectionHistoryInfo> interviewInspectionGetHistoryDetail(@Param("inspectionId") Long id);
    int updateByPrimaryKey(HyInterviewInspectionLogDO record);
}